---
layout: default
title: Assignments
description: Course assignments
warning: draft
---

* TOC
{:toc}

You can track your assignments through our [Canvas portal]({{site.canvas}}). Please check submission formats for each assignment. Please contact the course staff when in doubt.

Reminder, our class discussion happens using the class [discussion board]({{site.piazza}}) should you have any
questions or run into issue, please contact the course staff.


# Assignments 


| Link to Assignment                                                                         | Turn in Link                                                                  | Due Date |
|--------------------------------------------------------------------------------------------|-------------------------------------------------------------------------------|----------|
| HW1: [Finding AT around us](finding-accessibility.html)    |           | 10/2      |
| HW2: [Disability Justice](disabilityjustice.html)       | TBD          | 10/9      |
| HW3a: [Web/App Access UARS](website.html)                | TBD          | TBD      |
| HW3b: [Web/App Access Report](website-report.html)       | TBD          | TBD      |
| HW4a: [Post GUI Accessibility](technology-review.html) | TBD | TBD | 
| HW4b: [Post GUI Accessibility Implementation](technology-implementation.html) | TBD | TBD | 
| HW5a: [Final Project Proposal](project-proposal.html)                            | TBD                                                                           | TBD |
| HW5b: [Final Project Checkpoint](project-checkpoint.html)                            | TBD                                                                           | TBD |
| HW5c: [Final Project Presentation](project-final.html)                            | TBD                                                                           | TBD |

# Regrades
Regrades are done per competency, not per assignment. All regrade requests must be submitted at least a week ahead of the last class of the quarter. Please check with your TA about what exactly is required for a regrade for any given competency. 

# Competencies 

Assignment greading will be broken into two parts, as described in the [syllabus]({{site.baseurl}}/index.html). The first part will be participation, which adds up to 10% of your grade. The second part will be borken into competencies. Some of these are assessed only once, some multiple times. Your We have broken these into categories as described below. 

Your grade in the class will be based on whether you achieve *non
competent*, *competent* or *excellent* in each of these topics,
averaged over all the times that you are assessed.

## Disability Awareness and Justice

| Competency                                             | Asesssed in Which Assignment? |
|--------------------------------------------------------|-------------------------------|
| Disability Justice                                     | HW1, Final Project            |
| Finding First Person Accounts of Disability Technology | HW2, Final Project            |
| Plain Language Writing                                 | HW1, HW4                      |

## Accessibility Compliance

| Competency                                            | Asesssed in Which Assignment?  |
|-------------------------------------------------------|--------------------------------|
| Accessibility Problem Fixes                           | HW3, Final Project (by choice) |
| Accessibility Technology Based Accessibility Checking | HW3, Final Project (required)  |
| Automated Accessibility Checking                      | HW3, Final Project (by choice) |
| Comfortable Applying Web/App Accessibility Rules      | HW3, Final Project (by choice) |

## Accessible Media

| Competency                           | Asesssed in Which Assignment? |
|--------------------------------------|-------------------------------|
| Accessible Document Creation         | ALl                           |
| Acessible Presentation Creation      | HW2, Final Project            |
| Image Description                    | HW2, HW3, Hw4, Final Project  |
| Presenting Accessibly                | HW2, Final Project            |

## Extra Credit

| Competency                | Asesssed in Which Assignment? |
|---------------------------|-------------------------------|
| Accessible Video Creation | HW4, Final Project            |





